%bcond_without check

%global goipath         gopkg.in/natefinch/lumberjack.v2
%global forgeurl        https://github.com/natefinch/lumberjack
Version:                2.0.0

%gometa
%global common_description %{expand:
Lumberjack is a Go package for writing logs to rolling files.

Lumberjack is intended to be one part of a logging infrastructure. It is not
an all-in-one solution, but instead is a pluggable component at the bottom of
the logging stack that simply controls the files to which logs are written.

Lumberjack plays well with any logging package that can write to an io.Writer,
including the standard library's log package.

Lumberjack assumes that only one process is writing to the output files. Using
the same lumberjack configuration from multiple processes on the same machine
will result in improper behavior.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Rolling logger for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(gopkg.in/yaml.v2)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
